Package org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

# Interface IDifferenceGroupProvider.Descriptor.Registry

All Known Implementing Classes:
  `DifferenceGroupRegistryImpl`

Enclosing interface:
  IDifferenceGroupProvider.Descriptor

public static interface IDifferenceGroupProvider.Descriptor.Registry
A registry of `IDifferenceGroupProvider`.

## Method Summary

Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
`add(IDifferenceGroupProvider.Descriptor provider, String className)`
Add to the registry the given `IDifferenceGroupProvider`.
`void`
`clear()`
Clear the registry.
`IDifferenceGroupProvider.Descriptor`
`getDefaultGroupProvider(IComparisonScope scope, Comparison comparison)`
Returns the default group provider.
`Collection<IDifferenceGroupProvider.Descriptor>`
`getGroupProviders(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceGroupProvider` contained in the registry.
`IDifferenceGroupProvider.Descriptor`
`remove(String className)`
Remove from the registry the `IDifferenceGroupProvider` designated by the given `String` .

## Method Details

### getGroupProviders

Collection<IDifferenceGroupProvider.Descriptor> getGroupProviders(IComparisonScope scope, Comparison comparison)
Returns the list of `IDifferenceGroupProvider` contained in the registry.

Parameters:
  `scope` - The scope on which the group providers will be applied.
  `comparison` - The comparison which is to be displayed in the structural view.
Returns:
  The list of `IDifferenceGroupProvider` contained in the registry.

### getDefaultGroupProvider

IDifferenceGroupProvider.Descriptor getDefaultGroupProvider(IComparisonScope scope, Comparison comparison)
Returns the default group provider.

Parameters:
  `scope` - The scope on which the group providers will be applied.
  `comparison` - The comparison which is to be displayed in the structural view.
Returns:
  the default group provider or null if none.

### add

IDifferenceGroupProvider.Descriptor add(IDifferenceGroupProvider.Descriptor provider, String className)
Add to the registry the given `IDifferenceGroupProvider`.

Parameters:
  `provider` - The given `IDifferenceGroupProvider`.
  `className` - The class name of the given provider.
Returns:
  The previous value associated with the class name of the given `IDifferenceGroupProvider`, or null if there was no entry in the registry for the class name.

### remove

IDifferenceGroupProvider.Descriptor remove(String className)
Remove from the registry the `IDifferenceGroupProvider` designated by the given `String` .

Parameters:
  `className` - The given `String` representing a `IDifferenceGroupProvider`.
Returns:
  The `IDifferenceGroupProvider` designated by the given `String`.

### clear

void clear()
Clear the registry.